<!DOCTYPE html>

<html lang="en" xmlns:th="http://www.thymeleaf.org">
    <head>
        <meta charset="UTF-8">
        <title>Add Quest</title>
        <link rel="stylesheet" href="/webjars/bootstrap/4.4.1/css/bootstrap.min.css">
    </head>

    <body>
        <div class="py-3 text-center">
            <div class="container">
                <div class="row">
                    <div class="mx-auto p-4 col-md-7">
                        <h1 class="mb-4">Add a Quest!</h1>
                        <form th:action="@{/add-quest}" th:object="${quest}" method="POST">
                            <div class="form-group">
                                <input type="text" class="form-control" th:field="*{title}" id="title-quest" placeholder="Title">
                                <select class="form-control" th:field="*{type}">
                                    <option value="" selected disabled>Select Category</option>
                                    <option value="Delivery" th:text="Delivery"></option>
                                    <option value="Escort" th:text="Escort"></option>
                                    <option value="Rumble" th:text="Rumble"></option>
                                </select>
                            </div>
                            <button type="submit" class="btn btn-outline-primary btn-block">Add</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <script src="/webjars/jquery/3.4.1/jquery.min.js"></script>
        <script src="/webjars/popper.js/1.16.0/popper.min.js"></script>
        <script src="/webjars/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    </body>
</html>
